commit:     f2149e93f05dc6ddae75d9baddb1a63dd0458cdb
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 14 05:13:18 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Jan 14 05:43:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2149e93

gui-wm/hikari: add 2.3.3

Using with wlroots:0/15 currently segfaults with nvidia's GBM,
but looking around this isn't hikari's fault (happens with sway
as well), and supporting this new buggy GBM implementation is
low priority -- so bumping anyway.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 gui-wm/hikari/Manifest            |  1 +
 gui-wm/hikari/hikari-2.3.3.ebuild | 72 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/gui-wm/hikari/Manifest b/gui-wm/hikari/Manifest
index 3fc840736892..c255c9d71b50 100644
--- a/gui-wm/hikari/Manifest
+++ b/gui-wm/hikari/Manifest
@@ -1 +1,2 @@
 DIST hikari-2.3.2.tar.gz 1022093 BLAKE2B 
8e4df4377728cc1feab3509588a9f2d5138af6e3175682672eedce4ca45d5bb9b7e56568a860871b319b3ff1213468f38f0b6253927f6ab4b905dd495c05c53e
 SHA512 
b7485be089064dd19c4614f60066b3f7b2f322328fa771d4383db27656695746fb00ab534cc754929141c23b7556992391529e537e0522080177068f3d0e2954
+DIST hikari-2.3.3.tar.gz 1022191 BLAKE2B 
8b1d0f03460a170f2288c97790dc437a4bd4eafc6973e87c15ca44b1d032ab02ef1d75406fe15be6bb14f67c07945b16be47ec1e41d43b51961a1c69a4a67f9b
 SHA512 
15b6244ef46b29ad069475e8fadbafb01a65c8f96d1f89dd315d36f79dfea9a542936a5472e42237000f506094c7e08be37961c92a7eeed31477f4ed548f39f3

diff --git a/gui-wm/hikari/hikari-2.3.3.ebuild 
b/gui-wm/hikari/hikari-2.3.3.ebuild
new file mode 100644
index 000000000000..aa2351de6ddc
--- /dev/null
+++ b/gui-wm/hikari/hikari-2.3.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multiprocessing toolchain-funcs
+
+DESCRIPTION="Wayland compositor inspired by CWM"
+HOMEPAGE="https://hikari.acmelabs.space/";
+SRC_URI="https://hikari.acmelabs.space/releases/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X suid"
+
+COMMON_DEPEND="
+       dev-libs/glib:2
+       dev-libs/libinput:=
+       dev-libs/libucl
+       dev-libs/wayland
+       gui-libs/wlroots:0/15[X?]
+       sys-libs/pam
+       x11-libs/cairo
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman"
+RDEPEND="
+       ${COMMON_DEPEND}
+       x11-misc/xkeyboard-config"
+DEPEND="
+       ${COMMON_DEPEND}
+       dev-libs/wayland-protocols"
+BDEPEND="
+       dev-util/wayland-scanner
+       sys-devel/bmake
+       virtual/pkgconfig"
+
+src_compile() {
+       tc-export CC PKG_CONFIG
+
+       local bmake=(
+               bmake -j$(makeopts_jobs)
+               ETC_PREFIX="${EPREFIX}"
+               CFLAGS_EXTRA="${CFLAGS} ${CPPFLAGS}"
+               LDFLAGS_EXTRA="${LDFLAGS}"
+               VERSION=${PV}
+               -DWITH_GAMMACONTROL
+               -DWITH_LAYERSHELL
+               -DWITH_POSIX_C_SOURCE
+               -DWITH_SCREENCOPY
+               -DWITH_VIRTUAL_INPUT
+               $(usev X -DWITH_XWAYLAND)
+       )
+
+       # empty flags to avoid duplicates (some parts use only _EXTRA, others 
both)
+       echo "${bmake[*]}"
+       CFLAGS= LDFLAGS= "${bmake[@]}" || die
+}
+
+src_install() {
+       local bmake=(
+               bmake install
+               DESTDIR="${D}"
+               PREFIX="${EPREFIX}"/usr
+               ETC_PREFIX="${EPREFIX}"
+               $(usev suid -DWITH_SUID)
+       )
+
+       echo "${bmake[*]}"
+       "${bmake[@]}" || die
+}

Reply via email to